You are not logged in.

#1 2022-08-05 04:49:48

caelia
Member
Registered: 2016-05-14
Posts: 8

[SOLVED] Why is a missing dependency not a bug?

So, I'm not exactly a newbie with Linux or Arch, but I haven't reported many bugs, so maybe I misunderstand something. Anyway ...

I installed a new version of Audacity. It wouldn't run because it couldn't find a shared library (libmspack.so.0.1.0) ... I investigated briefly and found that:

  • there is a libmspack package that contains the required library; and

  • libmspack is not listed as a dependency for audacity

It seemed obvious to me that this was a bug in the package, and I filed a bug report. But the issue was closed as "not a bug." I don't understand. Can someone please explain why a missing dependency that prevents the program from running is not considered a bug, and/or what I should have done instead of filing a bug report? Thanks!

Last edited by caelia (2022-08-05 05:21:58)

Offline

#2 2022-08-05 04:58:39

kokoko3k
Member
Registered: 2008-11-14
Posts: 2,322

Re: [SOLVED] Why is a missing dependency not a bug?

I wasn't able to find your bug report.
Do you have a link?

Edit: found:
https://bugs.archlinux.org/task/75506

The answer is clear to me.
On a "not broken" installation, that package is already required by a (required) dependancy of audacity.
If that chain is broken, it is not due to audacity package.

Last edited by kokoko3k (2022-08-05 05:04:19)


Help me to improve ssh-rdp !

Offline

#3 2022-08-05 05:13:14

caelia
Member
Registered: 2016-05-14
Posts: 8

Re: [SOLVED] Why is a missing dependency not a bug?

kokoko3k wrote:

On a "not broken" installation, that package is already required by a (required) dependancy of audacity.

Oh. Well, that's fair. I should note that this happened immediately after a full system upgrade. So I guess something must be broken in my installation. I'll see what I can find out. Thanks.

EDIT: OK, I see what happened. libmspack is required by wxwidgets-gtk3 ... which I brute-force-upgraded since it was causing pacman -Syu to fail. Didn't occur to me that a GUI library would depend on specialized audio codecs, but OK ...

Last edited by caelia (2022-08-05 05:20:05)

Offline

#4 2022-08-05 06:58:58

kokoko3k
Member
Registered: 2008-11-14
Posts: 2,322

Re: [SOLVED] Why is a missing dependency not a bug?

Yes, looking now at wxwidgets-gtk3 deps and they are a bit odd.
Even if I'm sure there are legitimate reasons behind that,  apart from the mentioned and others multimedia codecs, it even depends on qt5 for make but only on gtk3 to run.


Help me to improve ssh-rdp !

Offline

#5 2022-08-05 08:40:08

arojas
Developer
From: Spain
Registered: 2011-10-09
Posts: 1,939

Re: [SOLVED] Why is a missing dependency not a bug?

caelia wrote:

EDIT: OK, I see what happened. libmspack is required by wxwidgets-gtk3 ... which I brute-force-upgraded since it was causing pacman -Syu to fail. Didn't occur to me that a GUI library would depend on specialized audio codecs, but OK ...

And this is why you should always read the front page news.

Offline

Board footer

Powered by FluxBB